<script setup>
defineProps({
  action: String,
  info: Object
})

const tab = ref('assignment')
const tabs = ref([
  {value: 'assignment', text: 'Assignment'},
  {value: 'remuneration', text: 'Remuneration'}
])

const openTab = async (val) => {
  if(tab.value !== val) {
    tab.value = val
    sessionStorage.setItem('job_position_detail_record', tab.value)
  }
}
onMounted(() => {
  const getSessionStorageTab = sessionStorage.getItem('job_position_detail_record')
  if(getSessionStorageTab) {
    openTab(getSessionStorageTab)
  }
})
</script>

<template>
  <div class="bt-2px_dashed_hexe2e2e2">
    <DetailRecordTab v-model="tab" :tabs="tabs" @handler="(val) => openTab(val.value)" />
    <PartnersJobPositionDetailRecordAssignment v-if="tab === 'assignment'" :action="action" :info="info" />
    <PartnersJobPositionDetailRecordRemuneration v-if="tab === 'remuneration'" :action="action" :info="info" />
  </div>
</template>